Subject: RE: IP version-independent app development guidelines?

From: "Bound, Jim" <[email-masked]>
Date: Wed, 28 May 2003 22:52:47 -0400

I think this is useful to pursue as work and agree with Eva's caveats
from that mail.
Richard Stevens book is in process of update too fyi.  Just lets not use
this to reopen that which has been decided in base and advanced api
documents though, as those are being used today now widely.  but how to
use them operationally.  this should not be standards track work either.

/jim

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: Tuesday, May 27, 2003 1:47 PM
> To: [email-masked]
> Subject: IP version-independent app development guidelines?
> 
> 
> Hello all,
> 
> It seems that one of the charter items of this working group:
> 
> 3. Publish Informational RFCs that help application developers
>   (within and outside the IETF) understand how to develop IP
>   version-independent applications.  Work with the Applications
>   area, and other areas, to ensure that these documents answer
>   the real-world concerns of application developers.  This
>   includes helping to identify IPv4 dependencies in existing
>   IETF application protocols and working with other areas and/or
>   groups within the IETF to resolve them.
> 
> has seen little progress.
> 
> Thus, we'd like to solicit input on opinions how to proceed 
> in this area.
> 
> At least one related individual submission exists in addition to some 
> outside-of-the-IETF documentation:
> 
http://www.ietf.org/internet-drafts/draft-shin-v6ops-application-transit
ion-00.txt

 - do you feel this effort is something that we should be working on?
 - is this specific draft a good starting point for that work?
 - do you have ideas for other approaches which might be more 
suitable (in replacement or in addition to it)?

Obviously the abovementioned draft needs more work if the approach
should be pursued, but it would be nice to get a feel of the working
group where we should go first.

Thanks for your comments.

Pekka, Margaret & Bob

---

From: Pekka Savola <[email-masked]>
Date: Thu, 29 May 2003 07:06:03 +0300 (EEST)

On Wed, 28 May 2003, Bound, Jim wrote:
> Richard Stevens book is in process of update too fyi.

Ok.

>  Just lets not use

Agree on all points.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings